Authentication
Use either header format
Authorization: Bearer sk-xxxxxxxxxxxxxxxxx-api-key: sk-xxxxxxxxxxxxxxxxRate Limits
Default values
API Key60s / 30
IP60s / 90
Errors
Common response codes
400 invalid params
401 invalid api key
403 api key disabled
402 insufficient credits
429 too many requests
Endpoints
POST https://sellshot.ai/api/v1/images/generateGET https://sellshot.ai/api/v1/tasks/{taskId}Generate Example
curl -X POST "https://sellshot.ai/api/v1/images/generate" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxxxxxxxx" \
-d '{
"scene":"text-to-image",
"prompt":"Create a premium ecommerce product image on a pure white background.",
"quality":"advanced",
"resolution":"1K",
"aspectRatio":"1:1",
"outputCount":1
}'Query Example
curl "https://sellshot.ai/api/v1/tasks/task_xxx" \ -H "Authorization: Bearer sk-xxxxxxxxxxxxxxxx"
